<?php

class formTemplateOptions extends cmsForm {

    public function init() {

        return array(

            array(
                'type' => 'fieldset',
                'title' => LANG_PAGE_LOGO,
                'childs' => array(
                    new fieldImage('logo', array(
                        'options' => array(
                            'sizes' => array('small', 'original')
                        )
                    )),
                )
            ),

            array(
                'type' => 'fieldset',
                'title' => LANG_TSESO_THEME_COPYRIGHT,
                'childs' => array(

                    new fieldString('owner_name', array(
                        'title' => LANG_TITLE
                    )),

                    new fieldString('owner_url', array(
                        'title' => LANG_TSESO_THEME_COPYRIGHT_URL,
                        'hint' => LANG_TSESO_THEME_COPYRIGHT_URL_HINT
                    )),

                    new fieldString('owner_year', array(
                        'title' => LANG_TSESO_THEME_COPYRIGHT_YEAR,
                        'hint' => LANG_TSESO_THEME_COPYRIGHT_YEAR_HINT
                    )),

                )
            ),
			
			array(
                'type' => 'fieldset',
                'title' => LANG_TSESO_THEME_SKIN,
                'childs' => array(
					
					new fieldList('skin_style_file', array(
					
                        'title' => LANG_TSESO_THEME_OWNER_STYLE_FILE,
						'hint'  => LANG_TSESO_THEME_OWNER_STYLE_FILE_HINT,
						'generator' => function($item) {
                            $css_file = cmsCore::getFilesList('templates/'.cmsConfig::get('template').'/css/skins', 'skin_*.css', true);
                            $css_file_default = cmsCore::getFilesList('templates/tseso/css/skins', 'skin_icms2.css', true);
                            $css_file = array_unique(array_merge($css_file, $css_file_default));
                            return $css_file ? array_combine($css_file, $css_file) : array();
                        }					
                    
					)),
					
					new fieldList('skins_icons_file', array(
					
                        'title' => LANG_TSESO_THEME_OWNER_IKONS_FILE,
						'hint'  => LANG_TSESO_THEME_OWNER_IKONS_FILE_HINT,
						'generator' => function($item) {
                            $css_file = cmsCore::getFilesList('templates/'.cmsConfig::get('template').'/css/skins_icons', 'ikons_*.css', true);
                            $css_file_default = cmsCore::getFilesList('templates/tseso/css/skins_icons', 'ikons_fatcow.css', true);
                            $css_file = array_unique(array_merge($css_file, $css_file_default));
                            return $css_file ? array_combine($css_file, $css_file) : array();
                        }					
                    
					)),
					
						
							new fieldString('maximum_width', array(
								'title' => LANG_TSESO_THEME_MAXIMUM_WIDTH,
								'default' => '1100px',
								'hint' => LANG_TSESO_THEME_MAXIMUM_WIDTH_HINT
							)),
					
					new fieldString('assing_body_class', array(
                        'title' => LANG_TSESO_THEME_ASSIGN_BODY_CLASS,
						'hint' => LANG_TSESO_THEME_ASSIGN_BODY_CLASS_HINT
                    )),
					
					new fieldCheckbox('connect_accordion_widgets', array(
                        'title' => LANG_TSESO_THEME_ACCORDION_WIDGETS,
                        'default' => 0
                    )),
					
					new fieldCheckbox('connect_animate_css', array(
                        'title' => LANG_TSESO_THEME_CONNECT_ANIMATE_CSS,
                        'default' => 0
                    )),

                    new fieldCheckbox('disable_tepmlate_style', array(
                        'title' => LANG_TSESO_THEME_DISABLE_TEMLATE_STYLE,
                        'default' => 0
                    )),
					
					//OV:: опция и условие будут задействованы после устранения ошибки в системе
					//new fieldList('position_page_styling', array(
                    //    'title' => LANG_TSESO_THEME_POSITION_PAGE_STYLING,
                     //   'default' => 'off',
                    //    'items' => array(
                    //        'off'  => LANG_TSESO_THEME_POSITION_PAGE_STYLING_OFF,
                    //       'on' => LANG_TSESO_THEME_POSITION_PAGE_STYLING_ON
                    //    )
                    //))

                )
            ),
			
			array(
                'type' => 'fieldset',
                'title' => LANG_TSESO_THEME_MENU_CLICK,
                'childs' => array(

                    new fieldList('menu_click', array(
                        'title' => LANG_TSESO_THEME_MENU_CLICK_DEVICE,
                        'default' => 'click_none',
						'hint' => LANG_TSESO_THEME_MENU_CLICK_HINT,
                        'items' => array(
                            'click_none'  => LANG_TSESO_THEME_MENU_CLICK_NONE,
                            'click_mobile' => LANG_TSESO_THEME_MENU_CLICK_MOBILE,
							'click_all' => LANG_TSESO_THEME_MENU_CLICK_ALL
                        )
                    ))

                )
            ),
			
			array(
                'type' => 'fieldset',
                'title' => LANG_ADMIN_CONTROLLER,
                'childs' => array(

                    new fieldCheckbox('disable_help_anim', array(
                        'title' => LANG_TSESO_THEME_DISABLE_HELP_ANIM,
                        'default' => 0
                    ))

                )
            ),
			
			array(
                'type' => 'fieldset',
                'title' => LANG_TSESO_THEME_SHARE_YANDEX,
                'childs' => array(

                    new fieldCheckbox('share_yandex', array(
                        'title' => LANG_TSESO_THEME_SHARE_YANDEX_CONNECT,
                        'default' => 0
                    ))

                )
            )

        );

    }

}
